post
https://api.azuga.com/azuga-ws/v1/maintenance/add.json
Use this API to create a maintenance alert that will notify you when your next vehicle service is due. While creating the API, you can set the conditions for triggering the alert.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request
{
"alertName":"Maintenance Alert - W12",
"vehicleName":"1674617864",
"user":[
"cad77fc0-2588-11e7-ac81-670c6342b1b5"
],
"notification":"false",
"serviceType":[
{
"id":"10",
"mileage":"20",
"hours":"2",
"months":"1",
"lsd":"07-23-2017 12:00AM"
},
{
"id":"15",
"mileage":"",
"hours":"3",
"months":"",
"lsd":"07-24-2017 12:00AM"
},
{
"id":"21",
"mileage":"15",
"hours":"",
"months":"",
"lsd":"07-24-2017 12:00AM"
},
{
"id":"23",
"mileage":"15",
"hours":"2",
"months":"6",
"lsd":"07-24-2017 12:00AM"
}
],
"alertReminder":{
"miles":"10",
"engineHours":"1",
"days":"7"
}
}API Response Explanation
| Field | Description |
|---|---|
| code | API status code |
| message | API Message (Success/Failure) |
| generatedAt | API generation timestamp in UTC |

